package main

/*
#cgo CFLAGS: -DIMPORT_DLL
#cgo LDFLAGS: -L. -ladll
#include "adll.h"

const T* getVar() {
    return &exported_var;
}

*/
import "C"

import "fmt"

func main() {
    fmt.Println(C.getVar(), C.GoString(C.getVar().name))
    C.foo(C.getVar())

    fmt.Println(C.exported_var, C.GoString(C.exported_var.name))
    C.foo(&C.exported_var)
}

